Facing alembic.util.exc.CommandError while invoking rasa x

Hey , I’m facing an error while I invoke rasa x . The error logs are attached below .Please help me solve this . Thank you

Traceback (most recent call last):
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\base.py", line 162, in _catch_revision_errors
    yield
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\base.py", line 364, in _upgrade_revs
    revs = list(revs)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 765, in _iterate_revisions
    requested_lowers = self.get_revisions(lower)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 319, in get_revisions
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())   
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 319, in <listcomp>
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())   
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 322, in get_revisions
    return tuple(
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 323, in <genexpr>
    self._revision_for_ident(rev_id, branch_label)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 386, in _revision_for_ident
    raise ResolutionError(
alembic.script.revision.ResolutionError: No such revision or branch 'b85106c82c99'

The above exception was the direct cause of the following exception:   

Traceback (most recent call last):
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\rasa\cli\x.py", line 496, in run_locally
    local.main(
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\rasax\community\local.py", line 234, in main
    sql_migrations.run_migrations(session)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\rasax\community\sql_migrations.py", line 25, in run_migrations
    _run_schema_migrations(session)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\rasax\community\sql_migrations.py", line 41, in _run_schema_migrations       
    _run_alembic_migration(alembic_config)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\rasax\community\sql_migrations.py", line 65, in _run_alembic_migration       
    command.upgrade(alembic_config, target_revision)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\command.py", line 298, in upgrade
    script.run_env()
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\util\pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\util\compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 848, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 96, in <module>
    run_migrations_online()
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 86, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\runtime\environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\runtime\migration.py", line 511, in run_migrations
    for step in self._migrations_fn(heads, self):
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\command.py", line 287, in upgrade
    return script._upgrade_revs(revision, rev)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\base.py", line 365, in _upgrade_revs
    return [
  File "C:\Users\HP\AppData\Local\Programs\Python\Python38\lib\contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\base.py", line 194, in _catch_revision_errors
    compat.raise_from_cause(util.CommandError(resolution))
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\util\compat.py", line 308, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=exc_value)    
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\util\compat.py", line 301, in reraise
    raise value.with_traceback(tb)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\base.py", line 162, in _catch_revision_errors
    yield
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\base.py", line 364, in _upgrade_revs
    revs = list(revs)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 765, in _iterate_revisions
    requested_lowers = self.get_revisions(lower)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 319, in get_revisions
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())   
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 319, in <listcomp>
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())   
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 322, in get_revisions
    return tuple(
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 323, in <genexpr>
    self._revision_for_ident(rev_id, branch_label)
  File "c:\users\hp\desktop\rasa_projects\rasa\lib\site-packages\alembic\script\revision.py", line 386, in _revision_for_ident
    raise ResolutionError(
alembic.util.exc.CommandError: Can't locate revision identified by 'b85106c82c99'

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Can you share the output of rasa --version?

Rasa Version      :         2.8.15
Minimum Compatible Version: 2.8.9
Rasa SDK Version  :         2.8.2
Rasa X Version    :         0.42.6
Python Version    :         3.8.10
Operating System  :         Windows-10-10.0.22499-SP0

@Venkat try delete .db files rasa and events from project folder. But, I am afraid as you are using 0.42.6 but give it a try and do let us know.

1 Like

Hello @nik202, thank you for the reply,I tried your suggested method but unfortunately, it didn’t work, Is there any other way to solve this ??

“It didn’t work” but are you having the same error or a different one now?

I’m facing the same error

@Venkat Right, as I expected, please follow this thread: Rasa X runs with several Errors & Warnings - #2 by nik202

If installation taking time, downgrade pip install to 20.2.3, if you have any further issue do let us know.

1 Like

Thank you , For the solution, Rasa x is working now , but there is some error with asycio

@Venkat Till the time your bot is working fine, nothing to worry. This is persistent issue. Can I request to close this thread as solution for others and for yourself.

Sure ,Thank you very much for the timely help